<|"microscopicDoF" -> <|"Y0" -> SparseArray[Automatic, {4, 3}, 0, 
     {1, {{0, 0, 1, 1, 2}, {{1}, {1}}}, {1/6, -1/6}}], 
   "Y0p" -> SparseArray[Automatic, {4, 3, 1}, 0, 
     {1, {{0, 2, 2, 4, 4}, {{1, 1}, {2, 1}, {1, 1}, {2, 1}}}, 
      {1/2, 5/24, -1/2, -5/24}}], "Y1" -> zeroDimensionTensor|>, 
 "microscopicStrain" -> <|"F0" -> SparseArray[Automatic, {7, 3}, 0, 
     {1, {{0, 1, 3, 4, 6, 7, 7, 7}, {{1}, {1}, {2}, {1}, {1}, {2}, {1}}}, 
      {-1/3, 1, 1/2, 1/3, 1, -1/2, 1/3}}], 
   "F0p" -> SparseArray[Automatic, {7, 3, 1}, 0, 
     {1, {{0, 0, 0, 2, 2, 4, 4, 4}, {{1, 1}, {2, 1}, {1, 1}, {2, 1}}}, 
      {-1/2, -1/4, 1/2, 1/4}}], "F0s" -> SparseArray[Automatic, {7, 3, 1, 1}, 
     0, {1, {{0, 0, 2, 2, 4, 4, 4, 4}, {{1, 1, 1}, {2, 1, 1}, {1, 1, 1}, {2, 
       1, 1}}}, {13/24, 11/48, -11/24, -11/48}}], 
   "F1" -> zeroDimensionTensor, "F1p" -> zeroDimensionTensor, 
   "F2" -> zeroDimensionTensor, "F2tilde" -> zeroDimensionTensor|>, 
 "LagrangeMultipliers" -> <|"G0" -> SparseArray[Automatic, {3, 3}, 0, 
     {1, {{0, 0, 0, 1}, {{3}}}, {1}}], 
   "G0p" -> SparseArray[Automatic, {3, 3, 1}, 0, 
     {1, {{0, 2, 2, 2}, {{1, 1}, {2, 1}}}, {(4*kt*\[Rho])/3, 
       (kt*\[Rho])/2}}], "G1" -> zeroDimensionTensor|>, 
 "elasticityLeadingOrder" -> 
  <|"K0" -> SparseArray[Automatic, {3, 3}, 0, 
     {1, {{0, 2, 4, 4}, {{1}, {2}, {1}, {2}}}, {(4*kt*\[Rho])/3, 
       (kt*\[Rho])/2, (kt*\[Rho])/2, (kt*\[Rho])/4}}], 
   "K1" -> zeroDimensionTensor, "K2" -> zeroDimensionTensor, 
   "K2tilde" -> zeroDimensionTensor|>, "elasticityCoupling" -> 
  <|"A0" -> SparseArray[Automatic, {3, 3, 1}, 0, {1, {{0, 0, 0, 0}, {}}, 
      {}}], "A1" -> zeroDimensionTensor|>, "elasticityGradient" -> 
  <|"B0" -> SparseArray[Automatic, {3, 1, 3, 1}, 0, 
     {1, {{0, 2, 4, 4}, {{1, 1, 1}, {1, 2, 1}, {1, 1, 1}, {1, 2, 1}}}, 
      {(kt*\[Rho])/2, (kt*\[Rho])/4, (kt*\[Rho])/4, (kt*\[Rho])/8}}], 
   "C0" -> SparseArray[Automatic, {3, 3, 1, 1}, 0, 
     {1, {{0, 2, 4, 4}, {{1, 1, 1}, {2, 1, 1}, {1, 1, 1}, {2, 1, 1}}}, 
      {(13*kt*\[Rho])/24, (11*kt*\[Rho])/48, (13*kt*\[Rho])/48, 
       (11*kt*\[Rho])/96}}]|>, "boundaryTerms" -> 
  <|"a0" -> zeroDimensionTensor, "k1" -> zeroDimensionTensor|>, 
 "solvabilityConditions" -> <|"y0" -> {{-1, 1/2, 0}}, 
   "y1" -> <|"\[Del]l" -> <|"l" -> {{{{0, 0, 0}}, {{0, 0, 0}}, {{0, 0, 0}}}}, 
       "m" -> zeroDimensionTensor, "1" -> {{{0}, {0}, {0}}}|>, 
     "\[Del]m" -> <|"l" -> zeroDimensionTensor, "m" -> zeroDimensionTensor, 
       "1" -> zeroDimensionTensor|>|>, "y2" -> "not implemented (expect to \
recover geometric strain compabitility, maybe something else?)"|>|>
